#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, i;
    scanf("%d", &n);

    for (int i = 1; i <= n; i+=2) {
        printf("%d %d", i, n+i);
    }
    printf("\n");
    for (int i = 2; i <= n; i+=2) {
        printf("%d %d", i, n+i);
    }

    return 0;
}